skip to Main Content

Does the Publisher run on older Macs?

Yes, the program runs on all Macs on which the operating system Mac OS X version 10.13 (High Sierra) or higher can be installed. However, the “old” Mac must meet the system requirements.

Back To Top